Subject: RE: text of description of "POST"

From: "Henrik Frystyk Nielsen" <[email-masked]>
Date: Wed, 24 Apr 2002 15:42:42 -0700

I'd agree with that - IMO, promoting proper use of HTTP is not achieved
through somewhat arbitrary restriction of use cases.

Henrik

>No, that would be over-constraining the protocol (adding a requirement
>that isn't necessary for interoperability just means people will ignore
>the requirement).  POST is still the place for spill-over semantics.
>
>However, I do think that the definition should include ALL of 
>the things
>for which POST is used, including the semantics of usenet news and mail
>for which this method does continue to apply and for which Larry's
>suggested definition isn't sufficient.  There is absolutley nothing
>wrong with the definition supplied in RFC 2616.  It should not 
>be changed,
>and certainly isn't errata.